<?
session_start();
$brcode=$_SESSION['brcode'];
$user=$_SESSION['user'];
if(strlen($brcode)<=0)
{
 print "<script> alert('Session timed out'); parent.document.location='../ind.php'; </script>";
 return;
}

include("../opendb.php");
include("../test.php");
$us=mysqli_query($db,"select level from bruser where username='$user'")or die(mysqli_error());
$r=mysqli_fetch_row($us);
$user_level=$r[0];
$y=$_REQUEST['y'];
$m=$_REQUEST['m'];
$d=$_REQUEST['d'];
$dt=$y.'-'.$m.'-'.$d;
if($user_level<=3)
{
$sq="select to_days(curdate())-to_days('$dt')";
$dtre=mysqli_query($db,$sq)or die(mysqli_error());
$dtrow=mysqli_fetch_row($dtre);

if($dtrow[0]>2 || $dtrow[0]<0)
{
 print "<script> alert('Invalid Date, Entry possible for last 2 days only'); history.back(1); </script>";
 return;
}
}



//$dt=$y.'-'.$m.'-'.$d;
$res=mysqli_query($db,"select max(jvno) from journal2 where brcode='$brcode'");
 $row=mysqli_fetch_row($res);
 if($row[0]<=0)
  $jvno=1;
 else
  $jvno=($row[0]+1);
  
  $resdn=mysqli_query($db,"select max(jvno) from psnindia_psndbdn.journal2 where brcode='$brcode'");
 $rowdn=mysqli_fetch_row($resdn);
 if($rowdn[0]<=0)
 {
    $jvnodn=1;
 }
 else
 {
    $jvnodn=($rowdn[0]+1);
 }
  
  $rsdn=mysqli_query($db,"select max(cpno) from psnindia_psndbdn.cshpay where brcode='$brcode'");
$cr_rowdn=mysqli_fetch_row($rsdn);
if($cr_rowdn[0]<=0)
{
   $crnodn=1;
}
 else  
 {
   $crnodn=$cr_rowdn[0]+1;
 }


$i=0;
$dr=$_REQUEST['dr'];
foreach($dr as $a)
{
 $dr[$i]=$a; 
 $i++;
}

$i=0;$totcsh=0;
$dr_amt=$_REQUEST['dr_amt'];
foreach($dr_amt as $a)
{
 $dramt[$i]=$a; $totcsh+=$a;
 $i++;
}
$i=0;
$dr_narr=$_REQUEST['dr_narr'];
foreach($dr_narr as $a)
{
 $drnarr[$i]=$a; 
 $i++;
}
/*
$i=0;
foreach($ag as $a)
{
 $again[$i]=$a;$i++;
}

$i=0;
foreach($dragain as $a)
{
 $dr_again[$i]=$a;$i++;
}

$i=0;
foreach($dragval as $a)
{
 $dr_agval[$i]=$a;$i++;
}
*/
$rs=mysqli_query($db,"select max(cpno) from cshpay where brcode='$brcode'");
$cr_row=mysqli_fetch_row($rs);
 if($cr_row[0]<=0)
   $cpno=1;
 else   
   $cpno=$cr_row[0]+1;
//echo $i;
echo "<br>";
for($j=0;$j<$i;$j++)
{
    $sql="insert into journal2 values('$dt','$jvno','Dr','$dr[$j]','$dramt[$j]','0','$drnarr[$j].(CP:$cpno)','$brcode','CP','$dr_again[$j]','$dr_agval[$j]','$cpno')";
    mysqli_query($db,$sql)or die('Jour Dr Err:'.mysqli_error());
    $sqldn="insert into psnindia_psndbdn.journal2 values('$dt','$jvnodn','Dr','$dr[$j]','$dramt[$j]','0','$drnarr[$j].(CP:$crnodn)','$brcode','CP','$dr_again[$j]','$dr_agval[$j]','$crnodn')";
    mysqli_query($db,$sqldn)or die('Jour Dr Err:'.mysqli_error());
    
    

    $sql="insert into cshpay values('$dt','$cpno','Dr','$dr[$j]','$dramt[$j]','0','$drnarr[$j].(JV:$jvno)','$brcode','$jvno','$dr_again[$j]','$dr_agval[$j]')";
    mysqli_query($db,$sql)or die('Jour Dr Err:'.mysqli_error());
    $sqldn1="insert into psnindia_psndbdn.cshpay values('$dt','$crnodn','Dr','$dr[$j]','$dramt[$j]','0','$drnarr[$j].(JV:$jvnodn)','$brcode','$jvnodn','$dr_again[$j]','$dr_agval[$j]')";
    mysqli_query($db,$sqldn1)or die('Jour Dr Err:'.mysqli_error());


}
    $sql="insert into journal2 values('$dt','$jvno','Cr','Cash','0','$totcsh','Cash Payment.(CP:$cpno)','$brcode','CP','$dr_again[0]','$cr_agval[0]','$cpno')";
    mysqli_query($db,$sql) or die('journal CR error:'.mysqli_error());
    $sqldn2="insert into psnindia_psndbdn.journal2 values('$dt','$jvnodn','Cr','Cash','0','$totcsh','Cash Payment.(CP:$crnodn)','$brcode','CP','$dr_again[0]','$cr_agval[0]','$crnodn')";
    mysqli_query($db,$sqldn2) or die('journal CR error:'.mysqli_error());
$ip_details="$jvno|CP|Add";
log_entry($brcode,$user,$ip_details,"Cash Payment JVNo: $jvno, CPNo: $cpno",$db);
print "<font color=green>Data has been posted</font><br>";
print "<script>document.location='cshpay.php';</script>";

?>
